List transactions associated with an Advanced Transfer
curl --request GET \
--url https://api.prime.coinbase.com/v1/portfolios/{portfolio_id}/advanced_transfers/{advanced_transfer_id}/transactionsimport requests
url = "https://api.prime.coinbase.com/v1/portfolios/{portfolio_id}/advanced_transfers/{advanced_transfer_id}/transactions"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.prime.coinbase.com/v1/portfolios/{portfolio_id}/advanced_transfers/{advanced_transfer_id}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transactions": [
{
"id": "BTC-USD",
"wallet_id": "cde8dd34-b6cf-4c2c-82bc-5f86adacc868",
"portfolio_id": "0a66a8c0-24ea-4f18-b14f-8c9cf7c1ba40",
"type": "DEPOSIT",
"status": "TRANSACTION_CREATED",
"symbol": "BTC",
"created_at": "2021-05-31T11:59:59.000Z",
"completed_at": "2021-05-31T12:09:31.000Z",
"amount": "100",
"transfer_from": {
"type": "PAYMENT_METHOD",
"value": "0bf7bf1e-bafa-4d7e-9312-fa0bf3b63f27",
"address": 6.6325114945411165e+47,
"account_identifier": "387879289"
},
"transfer_to": {
"type": "PAYMENT_METHOD",
"value": "0bf7bf1e-bafa-4d7e-9312-fa0bf3b63f27",
"address": 6.6325114945411165e+47,
"account_identifier": "387879289"
},
"network_fees": "1.99",
"fees": "4.53",
"fee_symbol": "USD",
"blockchain_ids": [
7.004643996595406e+76
],
"transaction_id": "A1B2C3D4",
"destination_symbol": "USD",
"estimated_network_fees": {
"lower_bound": "1.99",
"upper_bound": "2.99"
},
"network": "ethereum-mainnet",
"estimated_asset_changes": [
{
"type": "BALANCE_TRANSFER",
"symbol": "ETH",
"amount": "100",
"collection": {
"name": "<string>"
},
"item": {
"name": "<string>"
}
}
],
"metadata": {
"match_metadata": {
"reference_id": "<string>",
"settlement_date": "<string>"
},
"web3_transaction_metadata": {
"label": "<string>",
"confirmed_asset_changes": [
{
"type": "BALANCE_TRANSFER",
"symbol": "ETH",
"amount": "100",
"collection": {
"name": "<string>"
},
"item": {
"name": "<string>"
}
}
]
},
"reward_metadata": {
"subtype": "MEV_REWARD",
"custom_stablecoin_reward_details": {
"start_date": "<string>",
"end_date": "<string>",
"asset": {
"symbol": "<string>"
}
}
}
},
"idempotency_key": "<string>",
"onchain_details": {
"signed_transaction": "01ac1872bb2967df00124a7fd15e470a10aab04852e19fc6f...",
"risk_assessment": {
"compliance_risk_detected": false,
"security_risk_detected": false
},
"chain_id": "1",
"nonce": "42",
"replaced_transaction_id": "123e4567-e89b-12d3-a456-426614174000",
"destination_address": 6.6325114945411165e+47,
"skip_broadcast": false,
"failure_reason": "insufficient_funds",
"signing_status": "SIGNED"
},
"network_info": {
"id": "<string>",
"type": "<string>"
},
"process_requirements": {
"travel_rule_status": "TRAVEL_RULE_STATUS_PENDING"
}
}
]
}{
"code": "AUTHENTICATION_FAILED",
"message": "<string>",
"subcode": "AUTH_UNAUTHENTICATED",
"trace_id": "<string>"
}{
"code": "PERMISSION_DENIED",
"message": "<string>",
"subcode": "AUTH_RESOURCE_ACCESS_DENIED",
"trace_id": "<string>"
}{
"code": "RESOURCE_NOT_FOUND",
"message": "<string>",
"subcode": "AUTH_RESOURCE_NOT_FOUND",
"trace_id": "<string>"
}{
"code": "RATE_LIMIT_EXCEEDED",
"message": "<string>",
"subcode": "SERVER_RATE_LIMIT_EXCEEDED",
"trace_id": "<string>"
}{
"code": "SERVICE_UNAVAILABLE",
"message": "<string>",
"subcode": "SERVER_MAINTENANCE_MODE_ACTIVE",
"trace_id": "<string>"
}Transactions
List transactions associated with an Advanced Transfer
List transactions associated with an Advanced Transfer. This API is currently not available to all clients. Please reach out to Prime Operations with any questions.
GET
/
v1
/
portfolios
/
{portfolio_id}
/
advanced_transfers
/
{advanced_transfer_id}
/
transactions
List transactions associated with an Advanced Transfer
Path Parameters
The portfolio ID
The ID of the Advanced Transfer
Response
A successful response.
ListAdvancedTransferTransactionsResponse contains the transactions associated with an advanced transfer.
The transactions associated with an Advanced Transfer
Show child attributes
Show child attributes
Was this page helpful?